For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
          • GETRetrieves a list of vault entries for a database
          • POSTAdd a vault entry to a database
          • DELDeletes the vault entry
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTPlatformVault

Deletes the vault entry

DELETE
https://meta.feedonomics.com/api.php/dbs/:db_id/vault/:vault_id
DELETE
/api.php/dbs/:db_id/vault/:vault_id
$curl -X DELETE https://meta.feedonomics.com/api.php/dbs/1/vault/1 \
> -H "x-api-key: x-api-key" \
> -H "Authorization: Bearer <token>"
200Vault_deletesTheVaultEntry_example
1{
2 "success": true,
3 "message": "SUCCESS",
4 "data": {
5 "updated": 1
6 }
7}
Was this page helpful?
Previous

Add a vault entry to a database

Next

Event-Driven Sync API (EDRTS)

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

db_idintegerRequired
The database id
vault_idintegerRequired
The vault entry id

Headers

x-api-keystringRequired

Response headers

Content-Typestring

Response

successful operation
successboolean
messagestring
dataobject